List Jobs
Read several Job details identified by their unique Company ID.
curl -X GET "https://api.getkini.com/jobs?page=25&page_size=25" \
-H "Content-Type: application/json" \
-H "Company-Id: example_string" \
-H "Authorization: Bearer YOUR_API_TOKEN"
import requests
import json
url = "https://api.getkini.com/jobs?page=25&page_size=25"
headers = {
"Content-Type": "application/json",
"Company-Id": "example_string",
"Authorization": "Bearer YOUR_API_TOKEN"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.getkini.com/jobs?page=25&page_size=25", {
method: "GET",
headers: {
"Content-Type": "application/json",
"Company-Id": "example_string",
"Authorization": "Bearer YOUR_API_TOKEN"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://api.getkini.com/jobs?page=25&page_size=25", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Company-Id", "example_string")
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.getkini.com/jobs?page=25&page_size=25')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
request['Company-Id'] = 'example_string'
request['Authorization'] = 'Bearer YOUR_API_TOKEN'
response = http.request(request)
puts response.body
{
"count": 123,
"next": "http://api.example.org/accounts/?page=4",
"previous": "http://api.example.org/accounts/?page=2",
"results": [
{
"id": 123,
"external_id": "null",
"company": "null",
"title": "example_string",
"description": "null",
"posting_url": "null",
"application_url": "null",
"application_email": "null",
"status": "null",
"remote": "null",
"language": "null",
"category": "null",
"work_schedule": "null",
"employment_type": "null",
"senority": "null",
"education": "null",
"start_date": "null",
"contract_limitation": "null",
"location_name": "null",
"street": "null",
"city": "null",
"country": "null",
"postcode": "null",
"longitude": "null",
"latitude": "null",
"salary": "null",
"salary_from": "null",
"salary_to": "null",
"salary_currency": "null",
"salary_frequency": "null",
"contact_name": "null",
"contact_email": "null",
"contact_title": "null",
"contact_phone": "null",
"banner_image": "example_string",
"screening_questions": [
{
"id": "example_string",
"question": "example_string",
"answer_type": "boolean",
"required": true,
"options": [
{
"label": "example_string",
"value": "example_string"
}
]
}
],
"description_sections": [
{
"id": "example_string",
"type": "tasks",
"order": "example_string",
"title": "example_string",
"content": "example_string"
}
],
"custom_fields": {
"employer_name": "Acme Inc.",
"employer_logo": "https://example.com/logo.png"
},
"created_at": "2024-12-25T10:00:00Z",
"updated_at": "2024-12-25T10:00:00Z",
"last_content_update_at": "2024-12-25T10:00:00Z"
}
]
}
GET
/jobs
GET
Base URLstring
Target server for requests. Edit to use your own host.
Bearer Token
Bearer Tokenstring
RequiredBearer API Key Authentication. Include your API key in the Authorization header.
Bearer API Key Authentication. Include your API key in the Authorization header.
query
pageinteger
A page number within the paginated result set.
query
page_sizeinteger
Number of results to return per page.
header
Company-Idstring
RequiredID of the Company
Request Preview
Response
Response will appear here after sending the request
Authentication
header
Authorizationstring
RequiredBearer token. Bearer API Key Authentication. Include your API key in the Authorization header.
Query Parameters
pageinteger
A page number within the paginated result set.
page_sizeinteger
Number of results to return per page.
Headers
Company-Idstring
RequiredID of the Company
Responses
countinteger
Total number of records available across all pages
nextstring
URL to the next page of results
previousstring
URL to the previous page of results
resultsarray
List of jobs
Was this page helpful?